finfo_open
mime_content_type
Fileinfo Functions
PHP Manual

# finfo_set_flags

# finfo::set_flags

Set libmagic configuration options

### Description

Procedural style

bool finfo_set_flags ( resource `$finfo` , int `$options` )

Object oriented style

public bool finfo::set_flags ( int `$options` )

This function sets various Fileinfo options. Options can be set also directly in finfo_open or other Fileinfo functions.

### Parameters

`finfo`

  Fileinfo resource returned by finfo_open.

`options`

  One or disjunction of more Fileinfo constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.